Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.simulator.tools.jdf
Class OurGridTaskDescription

    java.lang.Object
      lbg.simulator.tools.jdf.OurGridTaskDescription

All Implemented Interfaces:
  TaskDescription

    public class OurGridTaskDescription

extends java.lang.Object
implements TaskDescription

Author:
  Cyril Briquet

Constructor Summary
`` | `OurGridTaskDescription()`
`protected` | `OurGridTaskDescription(java.lang.String[] inputs, java.lang.String[] parameters, java.lang.String jar, java.lang.String main_class, java.lang.String remote_cmd, java.lang.String[] outputs)`

Method Summary
`java.lang.String` | `format(java.lang.String task_name)`
`void` | `setInputs(java.lang.String[] inputs)`
`void` | `setJar(java.lang.String jar)`
`void` | `setMainClass(java.lang.String main_class)`
`void` | `setOutputs(java.lang.String[] outputs)`
`void` | `setParameters(java.lang.String[] parameters)`
`void` | `setRemoteCmd(java.lang.String remote_cmd)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OurGridTaskDescription

    protected OurGridTaskDescription(java.lang.String[] inputs,
                                     java.lang.String[] parameters,
                                     java.lang.String jar,
                                     java.lang.String main_class,
                                     java.lang.String remote_cmd,
                                     java.lang.String[] outputs)
                              throws GridException

Throws:
  `GridException`

### OurGridTaskDescription

    public OurGridTaskDescription()
                           throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### setInputs

    public void setInputs(java.lang.String[] inputs)
                   throws GridException

  Specified by:
    `setInputs` in interface `TaskDescription`
  Throws:
    `GridException`

### setParameters

    public void setParameters(java.lang.String[] parameters)
                       throws GridException

  Specified by:
    `setParameters` in interface `TaskDescription`
  Throws:
    `GridException`

### setJar

    public void setJar(java.lang.String jar)
                throws GridException

  Specified by:
    `setJar` in interface `TaskDescription`
  Throws:
    `GridException`

### setMainClass

    public void setMainClass(java.lang.String main_class)
                      throws GridException

  Specified by:
    `setMainClass` in interface `TaskDescription`
  Throws:
    `GridException`

### setRemoteCmd

    public void setRemoteCmd(java.lang.String remote_cmd)
                      throws GridException

  Specified by:
    `setRemoteCmd` in interface `TaskDescription`
  Throws:
    `GridException`

### setOutputs

    public void setOutputs(java.lang.String[] outputs)
                    throws GridException

  Specified by:
    `setOutputs` in interface `TaskDescription`
  Throws:
    `GridException`

### format

    public java.lang.String format(java.lang.String task_name)
                            throws GridException

  Specified by:
    `format` in interface `TaskDescription`
  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.